Debian Bug report logs - #368007
vile-common: Executing "dG" (delete all) on a file and then saving it will produce a huge file

version graph

Package: vile; Maintainer for vile is Brendan O'Dea <bod@debian.org>; Source for vile is src:vile.

Reported by: Bas Kloet <bas@luon.net>

Date: Fri, 19 May 2006 08:33:02 UTC

Severity: normal

Fixed in version vile/9.5-h1

Done: Brendan O'Dea <bod@debian.org>

Bug is archived. No further changes may be made.

Forwarded to vile@nongnu.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#368007; Package vile-common. Full text and rfc822 format available.

Acknowledgement sent to Bas Kloet <bas@luon.net>:
New Bug report received and forwarded. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bas Kloet <bas@luon.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: vile-common: Executing "dG" (delete all) on a file and then saving it will produce a huge file
Date: Fri, 19 May 2006 10:10:43 +0200
Package: vile-common
Version: 9.5-g2
Severity: normal


On certain files, if you delete all text (by using the key combo "dG"), and
then trying to save that file, vile will write an ever growing
file to disk, with no indication of it ever ending. In several seconds it
will be > 50 MB. 

I've put a file online at: http://baskloet.nl/test

I've tested it on 2 machines (both running vile-common 9.5-g2) and the bug is
reproducable on both. 

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages vile-common depends on:
ii  libio-pty-perl                1:1.02-2   Perl module for pseudo tty IO

Versions of packages vile-common recommends:
ii  vile                          9.5-g2     VI Like Emacs - vi work-alike

-- no debconf information



Bug reassigned from package `vile-common' to `vile'. Request was from Bas Kloet <bas@luon.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#368007; Package vile. Full text and rfc822 format available.

Acknowledgement sent to Brendan O'Dea <bod@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #12 received at 368007@bugs.debian.org (full text, mbox):

From: Brendan O'Dea <bod@debian.org>
To: Bas Kloet <bas@luon.net>, 368007@bugs.debian.org
Subject: Re: Bug#368007: vile-common: Executing "dG" (delete all) on a file and then saving it will produce a huge file
Date: Mon, 22 May 2006 21:47:52 +1000
forwarded 368007 vile@nongnu.org
thanks

On Fri, May 19, 2006 at 10:10:43AM +0200, Bas Kloet wrote:
>On certain files, if you delete all text (by using the key combo "dG"), and
>then trying to save that file, vile will write an ever growing
>file to disk, with no indication of it ever ending. In several seconds it
>will be > 50 MB. 
>
>I've put a file online at: http://baskloet.nl/test
>
>I've tested it on 2 machines (both running vile-common 9.5-g2) and the bug is
>reproducable on both. 

Thank you for your detailed report Bas.

I've was able to replicate the problem and to further narrow down the
cause.  Upstream is looking at this now.

--bod



Noted your statement that Bug has been forwarded to vile@nongnu.org. Request was from Brendan O'Dea <bod@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Brendan O'Dea <bod@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bas Kloet <bas@luon.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 368007-close@bugs.debian.org (full text, mbox):

From: Brendan O'Dea <bod@debian.org>
To: 368007-close@bugs.debian.org
Subject: Bug#368007: fixed in vile 9.5-h1
Date: Thu, 25 May 2006 06:02:14 -0700
Source: vile
Source-Version: 9.5-h1

We believe that the bug you reported is fixed in the latest version of
vile, which is due to be installed in the Debian FTP archive:

vile-common_9.5-h1_all.deb
  to pool/main/v/vile/vile-common_9.5-h1_all.deb
vile-filters_9.5-h1_sparc.deb
  to pool/main/v/vile/vile-filters_9.5-h1_sparc.deb
vile_9.5-h1.diff.gz
  to pool/main/v/vile/vile_9.5-h1.diff.gz
vile_9.5-h1.dsc
  to pool/main/v/vile/vile_9.5-h1.dsc
vile_9.5-h1_sparc.deb
  to pool/main/v/vile/vile_9.5-h1_sparc.deb
xvile_9.5-h1_sparc.deb
  to pool/main/v/vile/xvile_9.5-h1_sparc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 368007@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Brendan O'Dea <bod@debian.org> (supplier of updated vile package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 25 May 2006 22:35:20 +1000
Source: vile
Binary: xvile vile-filters vile vile-common
Architecture: source sparc all
Version: 9.5-h1
Distribution: unstable
Urgency: low
Maintainer: Brendan O'Dea <bod@debian.org>
Changed-By: Brendan O'Dea <bod@debian.org>
Description: 
 vile       - VI Like Emacs - vi work-alike
 vile-common - VI Like Emacs - support files for vile/xvile
 vile-filters - VI Like Emacs - highlighting filters for vile/xvile
 xvile      - VI Like Emacs - vi work-alike (X11)
Closes: 368007
Changes: 
 vile (9.5-h1) unstable; urgency=low
 .
   * New upstream patch version.
   * Interim fix from Tom for a case in bsizes() which subtracted
     line-ending from zero-sized buffer when nonewline mode was set.
     Closes: #368007.
Files: 
 ab1bd91e78f3dea62e312b03d130b8e2 676 editors optional vile_9.5-h1.dsc
 2af7a2b7f196452f238c762c0fc510f7 558822 editors optional vile_9.5-h1.diff.gz
 5dbbb20cdaf77dc06e5fdf9cd94b2075 519718 editors optional vile-common_9.5-h1_all.deb
 1dda05c453935cb2680139b9f9005912 296234 editors optional vile_9.5-h1_sparc.deb
 472ef1281ebaef1accff450980038fac 385504 editors optional vile-filters_9.5-h1_sparc.deb
 82bea5fab255c3c1af83224d3b4badff 319162 editors optional xvile_9.5-h1_sparc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEdahO8NyOALKMWZURApHlAJ4o4LmlZmcz11uaqWg7FfFgKg0DNQCgorsT
Hkneb2690tp7M0UxbFvUeDY=
=o05u
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 12:17:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:24:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.